summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoe Peterson <lavajoe@gentoo.org>2011-08-10 23:58:34 +0000
committerJoe Peterson <lavajoe@gentoo.org>2011-08-10 23:58:34 +0000
commitafad723bda3e4fa457d49184a10c69350a05fe91 (patch)
tree225ecdd89fd9c7a7f5c7ce9ead416d87df4779d6 /media-sound/squeezeboxserver/files
parentVersion bump. Updated to use libav-0.7.1 instead of ffmpeg (including new cod... (diff)
downloadgentoo-2-afad723bda3e4fa457d49184a10c69350a05fe91.tar.gz
gentoo-2-afad723bda3e4fa457d49184a10c69350a05fe91.tar.bz2
gentoo-2-afad723bda3e4fa457d49184a10c69350a05fe91.zip
Added new version 7.5.5; fix bug #377779
(Portage version: 2.1.10.10/cvs/Linux x86_64)
Diffstat (limited to 'media-sound/squeezeboxserver/files')
-rw-r--r--media-sound/squeezeboxserver/files/build-modules-7.5.5.sh65
-rw-r--r--media-sound/squeezeboxserver/files/squeezeboxserver-7.5.5-build-perl-modules-gentoo.patch30
-rw-r--r--media-sound/squeezeboxserver/files/squeezeboxserver-7.5.5-squeezeslave.patch15
-rw-r--r--media-sound/squeezeboxserver/files/squeezeboxserver-7.5.5-uuid-gentoo.patch14
-rwxr-xr-xmedia-sound/squeezeboxserver/files/squeezeboxserver.init.d4
5 files changed, 126 insertions, 2 deletions
diff --git a/media-sound/squeezeboxserver/files/build-modules-7.5.5.sh b/media-sound/squeezeboxserver/files/build-modules-7.5.5.sh
new file mode 100644
index 000000000000..6314c605ca31
--- /dev/null
+++ b/media-sound/squeezeboxserver/files/build-modules-7.5.5.sh
@@ -0,0 +1,65 @@
+#!/bin/bash
+#
+# $Id: build-modules-7.5.5.sh,v 1.1 2011/08/10 23:58:34 lavajoe Exp $
+#
+# This script builds all binary Perl modules required by Squeezebox Server.
+
+DISTDIR="$1"; shift
+D="$1"; shift
+
+# Build dir
+BUILD=$PWD
+
+# Require modules to pass tests
+RUN_TESTS=1
+
+FLAGS=""
+
+# $1 = module to build
+# $2 = Makefile.PL arg(s)
+function build_module {
+ tar zxvf $DISTDIR/SqueezeboxServer-$1.tar.gz || exit 1
+ cd $1
+
+ perl Makefile.PL PREFIX=$D $2
+ if [ $RUN_TESTS -eq 1 ]; then
+ make test
+ else
+ make
+ fi
+ if [ $? != 0 ]; then
+ if [ $RUN_TESTS -eq 1 ]; then
+ echo "make test failed, aborting"
+ else
+ echo "make failed, aborting"
+ fi
+ exit $?
+ fi
+ make install || exit 1
+ make clean || exit 1
+
+ cd ..
+ rm -rf $1
+}
+
+function build_all {
+ export PERL_MM_USE_DEFAULT=1
+ RUN_TESTS=0
+ build_module EV-3.8
+ RUN_TESTS=1
+ export PERL_MM_USE_DEFAULT=
+}
+
+# Build a single module if requested, or all
+if [ $1 ]; then
+ build $1
+else
+ build_all
+fi
+
+# Reset PERL5LIB
+export PERL5LIB=
+
+# clean out useless .bs/.packlist files, etc
+find $BUILD -name '*.bs' -exec rm -f {} \;
+find $BUILD -name '*.packlist' -exec rm -f {} \;
diff --git a/media-sound/squeezeboxserver/files/squeezeboxserver-7.5.5-build-perl-modules-gentoo.patch b/media-sound/squeezeboxserver/files/squeezeboxserver-7.5.5-build-perl-modules-gentoo.patch
new file mode 100644
index 000000000000..1b1009c7feb5
--- /dev/null
+++ b/media-sound/squeezeboxserver/files/squeezeboxserver-7.5.5-build-perl-modules-gentoo.patch
@@ -0,0 +1,30 @@
+--- Slim/bootstrap.pm.old 2010-07-06 08:30:49.267542493 +0100
++++ Slim/bootstrap.pm 2010-07-06 08:30:49.255502095 +0100
+@@ -192,27 +192,6 @@
+ print "To run from source on Windows, please install ActivePerl 5.10. ActivePerl 5.8.8 is no longer supported.\n";
+ print "http://www.activestate.com/activeperl/\n\n";
+ }
+- else {
+- print qq{
+-*******
+-
+-NOTE:
+-
+-If you're running some unsupported Linux/Unix platform, please use the buildme.sh
+-script located here:
+-
+-http://svn.slimdevices.com/repos/slim/7.5/trunk/vendor/CPAN/
+-
+-You should never need to do this if you're on Windows or Mac OSX. If the installers
+-don't work for you, ask for help and/or report a bug.
+-
+-If 7.5 is outdated by the time you read this, Replace "7.5" with the major version
+-of Squeezebox Server you are running.
+-
+-*******
+-
+- \n};
+- }
+
+ print "Exiting..\n";
+
diff --git a/media-sound/squeezeboxserver/files/squeezeboxserver-7.5.5-squeezeslave.patch b/media-sound/squeezeboxserver/files/squeezeboxserver-7.5.5-squeezeslave.patch
new file mode 100644
index 000000000000..25003c2702bd
--- /dev/null
+++ b/media-sound/squeezeboxserver/files/squeezeboxserver-7.5.5-squeezeslave.patch
@@ -0,0 +1,15 @@
+--- Slim/Web/HTTP.pm.old 2010-07-06 08:30:49.243499965 +0100
++++ Slim/Web/HTTP.pm 2010-07-06 08:30:49.243499965 +0100
+@@ -2214,9 +2214,10 @@
+ # only kill the timer if we were called for the active streaming connection;
+ # otherwise we might kill the timer related to the next connection too.
+ Slim::Utils::Timers::killTimers($client, \&tryStreamingLater);
+-
+- Slim::Networking::Select::addWrite($httpClient, \&sendStreamingResponse, 1);
+ }
++
++ # Bug 14740 - always call sendStreamingResponse so we ensure the socket gets closed
++ Slim::Networking::Select::addWrite($httpClient, \&sendStreamingResponse, 1);
+ }
+
+ sub forgetClient {
diff --git a/media-sound/squeezeboxserver/files/squeezeboxserver-7.5.5-uuid-gentoo.patch b/media-sound/squeezeboxserver/files/squeezeboxserver-7.5.5-uuid-gentoo.patch
new file mode 100644
index 000000000000..070807bf4612
--- /dev/null
+++ b/media-sound/squeezeboxserver/files/squeezeboxserver-7.5.5-uuid-gentoo.patch
@@ -0,0 +1,14 @@
+--- slimserver.pl.old 2010-07-06 08:30:49.267542493 +0100
++++ slimserver.pl 2010-07-06 08:30:49.267542493 +0100
+@@ -397,8 +397,9 @@
+
+ # Generate a UUID for this SC instance on first-run
+ if ( !$prefs->get('server_uuid') ) {
+- require UUID::Tiny;
+- $prefs->set( server_uuid => UUID::Tiny::create_UUID_as_string( UUID::Tiny::UUID_V4() ) );
++ require Data::UUID;
++ my $ug = new Data::UUID;
++ $prefs->set( server_uuid => lc $ug->create_str() );
+ }
+
+ main::INFOLOG && $log->info("Squeezebox Server binary search path init...");
diff --git a/media-sound/squeezeboxserver/files/squeezeboxserver.init.d b/media-sound/squeezeboxserver/files/squeezeboxserver.init.d
index e7068c8e2f94..05fc74e119f8 100755
--- a/media-sound/squeezeboxserver/files/squeezeboxserver.init.d
+++ b/media-sound/squeezeboxserver/files/squeezeboxserver.init.d
@@ -1,7 +1,7 @@
#!/sbin/runscript
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-sound/squeezeboxserver/files/squeezeboxserver.init.d,v 1.6 2011/06/05 16:06:47 lavajoe Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/squeezeboxserver/files/squeezeboxserver.init.d,v 1.7 2011/08/10 23:58:34 lavajoe Exp $
# These fit the Squeezebox Server ebuild and so shouldn't need to be changed;
# user-servicable parts go in /etc/conf.d/squeezeboxserver.
@@ -26,7 +26,7 @@ start() {
start-stop-daemon \
--start --exec /usr/sbin/${scname} \
--pidfile ${pidfile} \
- --chuid ${scuser} \
+ --user ${scuser} \
--background \
-- \
--quiet \